<p-card class="centering">
  <div *ngIf="loginInput">
    <h2>Anmelden</h2>
    <form [formGroup]="loginForm" ngNativeValidate>
      <span class="mt-3 p-float-label">
        <input
        formControlName="user"
          id="lName"
          type="text"
          pInputText
          class="p-inputtext-lg"
          required
          
        />
        <label for="lName">Benutzername</label>
      </span>

      <span class="p-float-label mt-3">
        <input
          id="loginPassword"
          type="password"
          pInputText
          class="p-inputtext-lg"
          required
          formControlName="pwd"
        />
        <label for="loginPassword">Passwort</label>
      </span>
      <span class="mt-3">Noch nicht registriert? </span>
      <br />
      <span>Hier </span
      ><span class="green" (click)="switch()">Registrieren</span>
      <p *ngIf="loginError" class="red">
        {{ loginErrorName }}
      </p>
      <div class="mt-3">
        <p-button label="Login" type="button" (click)="checkLogin()" ></p-button>
        <!-- (ngSubmit)="checkLogin()" -->
      </div>
    </form>
  </div>
  <div *ngIf="!loginInput">
    <h2>Registrieren</h2>
    <!-- (ngSubmit)="registerSubmit()" -->
    <form
      [formGroup]="registerForm"
      ngNativeValidate
    >
      <span class="mt-3 p-float-label">
        <input
          id="registerName"
          type="text"
          pInputText
          class="p-inputtext-lg"
          required
          formControlName="user"
        />
        <label for="registerName">Benutzername</label>
      </span>

      <span class="p-float-label mt-3">
        <input
          type="password"
          class="p-inputtext-lg"
          pPassword
          formControlName="pwd"
          id="registerPassword"
        />
        <label for="registerPassword">Passwort</label>
      </span>
      <span>Bereits registriert? </span>
      <br />
      <span>Hier </span
      ><span class="green" (click)="switch()">Anmelden</span>
      <p *ngIf="registerError" class="red">
        {{ registerErrorName }}
      </p>
      <div class="mt-3">
        <p-button label="Registrieren" type="button" (click)="registerSubmit()"></p-button>
      </div>
    </form>
  </div>
</p-card>
